import { ReadinessDto } from "./readiness-dto";
import { Employee } from "../employee/employee";
import { Situation } from "../situation/situation";
export declare class Readiness {
    id?: string;
    employee: Employee;
    startDate: Date;
    startTime: Date;
    endDate: Date;
    endTime: Date;
    situation: Situation;
    observation?: string;
    continuous?: boolean;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(readinessDto: ReadinessDto, originEntity?: string): Readiness;
    static toDto(readiness: Readiness, originEntity?: string): ReadinessDto;
}
